Subject: Re: [PATCH 0/7] ethtool: add pretty dump for DSA mv88e6xxx drivers

From: Andrew Lunn <[email-masked]>
Date: Sun, 16 Dec 2018 21:00:26 +0100

> > Hi Florian, Vivien
> > 
> > I was wondering about that. Having this all under 'dsa' seems too
> > granular. It would be better if we could have 'mv88e6xxx', 'b53',
> > 'ksz', etc. That might need a new DSA driver op to get the driver name
> > which we then use for the slave?
> 
> We could indeed do that, the other option would be return something
> like: "dsa-mv88e6xxx" or "dsa-b53" in ethtool::get_drv_info() but this
> might be breaking ABI since "dsa" has been commonly established for the
> past 10 years or so.
> 
> Changing things within ethtool is reasonably easy, but we probably need
> to decide now whether kernel changes are requited to assist with
> companion ethtool changes.

Hi Florian, Vivien

Using reg[3] is not very robust. Some of the other devices could have
a value which happens to be a Marvell ID.

As you said, driver="DSA" is well established, so we probably don't
want to change that.

We could use the version string. We currently don't have a value in
it. It would a bit unusual, but actually kind of fits to have the
mv88ex6xxx version, b53 version, ksz version, of DSA.

	 Andrew